Name:			gtk4-layer-shell
Version:		1.0.4
Release:		1%?dist
Summary:		Library to build desktop components using Layer Shell Wayland protocol and GTK4
License:		MIT
URL:			https://github.com/wmww/gtk4-layer-shell
Source0:		%url/archive/refs/tags/v%version.tar.gz
BuildRequires:	meson ninja-build python3.11 vala
BuildRequires:	libwayland-client gtk4-devel gobject-introspection gtk-doc
BuildRequires:  pkgconfig(wayland-protocols)
Recommends:		gtk4-layer-shell-devel

%description
A library for using the Layer Shell Wayland protocol with GTK4. With this
library you can build desktop shell components such as panels, notifications
and wallpapers. You can use it to anchor your windows to a corner or edge of
the output, or stretch them across the entire output. This Library is
compatible with C, C++ and any language that supports GObject introspection
files (Python, Vala, etc).


%package doc
Summary: Documentation files for gtk4-layer-shell generated by gtk-doc

%description doc
%summary.


%package vapi
Summary: Vapi data for gtk4-layer-shell

%description vapi
%summary.


%package devel
Summary: Development files for gtk4-layer-shell
Requires: gtk4-layer-shell

%description devel
%summary.


%prep
%autosetup

%build
%meson -Ddocs=true
%meson_build

%install
%meson_install


%files
%doc README.md
%license LICENSE
/usr/lib64/girepository-1.0/Gtk4LayerShell-1.0.typelib

%files devel
/usr/include/gtk4-layer-shell/gtk4-layer-shell.h
/usr/lib64/libgtk4-layer-shell.so*
/usr/lib64/pkgconfig/gtk4-layer-shell-0.pc
/usr/share/gir-1.0/Gtk4LayerShell-1.0.gir

%files doc
/usr/share/gtk-doc/html/gtk4-layer-shell/


%files vapi
/usr/share/vala/vapi/gtk4-layer-shell-0.deps
/usr/share/vala/vapi/gtk4-layer-shell-0.vapi


%changelog
* Fri Apr 28 2023 windowsboy111 <windowsboy111@fyralabs.com>
- Initial package.
